#include <iostream>
#include "Video.hpp"
using namespace std;

void ispis(const Video& v) {
    cout << "---------------------------------" << endl;

    switch(v.getState()) {
        case STOPPED:
            cout << "State - STOPPED" << endl;
            break;
        case PAUSED:
            cout << "State - PAUSED" << endl;
            break;
        case PLAYING:
            cout << "State - PLAYING" << endl;
            break;
        default:
            cout << "State - unknown" << endl;
    }

    cout << "VideoSpeed - " << v.getVideoSpeed() << " x" << endl;
    cout << "CurrentTime - " << v.getCurrentTime() << endl;

    cout << "---------------------------------" << endl;
}

int main() {
    Video v1, v2(PAUSED, 3, 40), v3(v2);

    v1.increaseSpeed();
    v1.decreaseSpeed();
    v1.setCurrentTime(3);
    v1.play();
    v1.pause();
    v1.stop();
    v1.watch(2);

    ispis(v1);

    return 0;
}

